#include "MenuTextAtk_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextAtk_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextAtk_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_atk;
}

std::shared_ptr<Entity> CreateMenuTextAtk_Player2Keyboard()
{
	return std::make_shared<MenuTextAtk_Player2Keyboard>();
}


